Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface ProcessInstanceMarshaller

All Known Implementing Classes:
  AbstractProcessInstanceMarshaller, AbstractProtobufProcessInstanceMarshaller, ProtobufRuleFlowProcessInstanceMarshaller, RuleFlowProcessInstanceMarshaller

    public interface ProcessInstanceMarshaller

A ProcessInstanceMarshaller must contain all the write/read logic for nodes of a specific ProcessInstance. It colaborates with OutputMarshaller and InputMarshaller, that delegates in a ProcessInstanceMarshaller to stream in/out runtime information.

See Also:
  `OutputMarshaller`, `InputMarshaller`, `ProcessMarshallerRegistry`

Method Summary
`NodeInstance` | `readNodeInstance(org.drools.marshalling.impl.MarshallerReaderContext context, NodeInstanceContainer nodeInstanceContainer, WorkflowProcessInstance processInstance)`
`ProcessInstance` | `readProcessInstance(org.drools.marshalling.impl.MarshallerReaderContext context)`
`Object` | `writeNodeInstance(org.drools.marshalling.impl.MarshallerWriteContext context, NodeInstance nodeInstance)`
`Object` | `writeProcessInstance(org.drools.marshalling.impl.MarshallerWriteContext context, ProcessInstance processInstance)`

Method Detail

### writeProcessInstance

    Object writeProcessInstance(org.drools.marshalling.impl.MarshallerWriteContext context,
                                ProcessInstance processInstance)
                                throws IOException

  Throws:
    `IOException`

### writeNodeInstance

    Object writeNodeInstance(org.drools.marshalling.impl.MarshallerWriteContext context,
                             NodeInstance nodeInstance)
                             throws IOException

  Throws:
    `IOException`

### readProcessInstance

    ProcessInstance readProcessInstance(org.drools.marshalling.impl.MarshallerReaderContext context)
                                        throws IOException

  Throws:
    `IOException`

### readNodeInstance

    NodeInstance readNodeInstance(org.drools.marshalling.impl.MarshallerReaderContext context,
                                  NodeInstanceContainer nodeInstanceContainer,
                                  WorkflowProcessInstance processInstance)
                                  throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.